.block-graphical-links {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding: var( --block-spacing) 0;

}
.block-graphical-links.nopaddingtop{
    padding-top: 0;
}
.block-graphical-links.nopaddingbottom{
    padding-bottom: 0;
}
.block-graphical-links .acf-innerblocks-container {
    flex: 0 0 100%;
    width: 100%;
}
.block-graphical-links .graphical-links {
    display: flex;
}
.block-graphical-links.arrows-position-side  .graphical-links{
    padding: 0 50px;
}
.block-graphical-links .graphical-links .slick-list .slick-track,
.block-graphical-links .graphical-links .slick-list{
    width: 100%;
}
.block-graphical-links .graphical-link {
    flex: 0 0 32.333333%;
    position: relative;
    padding: 0 10px;
    overflow: hidden;
    margin-bottom: 5px;
    display: flex;
    box-sizing: border-box;

}
.block-graphical-links .graphical-link .graphical-link-image:after {
    content: "";
    width: 100%;
    height: 60%;
    position: absolute;
    bottom: 0;
    z-index: 1;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.65) 0, rgba(0, 0, 0, 0) 100%);
    transform: rotate(-180deg);
}
.block-graphical-links .graphical-link-image {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    z-index: 1;
    max-height: 250px;
}
.block-graphical-links .graphical-link .graphical-link-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}
.block-graphical-links .graphical-link.link-type-over .graphical-link-image:before{
    content: "";
    width: 100%;
    height: 0%;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    left: 0;
    opacity: 0;
    z-index: 9;
    background: var(--primary);
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;

}
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-image:before{
     content: "";
    width: 100%;
    height: 40%;
    position: absolute;
    bottom: 0;
    right: 0;
    margin: auto;
    left: 0;
    opacity: 1;
    z-index: 9;
    background: var(--primary);
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title:before{
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    margin: auto;
    left: 0;
    z-index: -1;
    background: var(--primary);
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.block-graphical-links .graphical-link.link-type-under.background-card-primary .graphical-link-title:before{
    background-color: var(--primary);
}
.block-graphical-links .graphical-link.link-type-under.background-card-secondary .graphical-link-title:before{
    background-color: var(--secondary);
}
.block-graphical-links .graphical-link.link-type-under.background-card-third.graphical-link-title:before{
    background-color: var(--third);
}

.block-graphical-links .graphical-link.link-type-under.background-card-forth .graphical-link-title:before{
    background-color: var(--forth);
}

.block-graphical-links .graphical-link.link-type-under.background-card-none .graphical-link-title:before{
    background-color: transparent;
}

.block-graphical-links .graphical-link.link-type-under.card-text-primary{
    color: var(--primary);
}
.block-graphical-links .graphical-link.link-type-under.card-text-secondary{
    color: var(--secondary);
}
.block-graphical-links .graphical-link.link-type-under.card-text-third{
    color: var(--third);
}
.block-graphical-links .graphical-link.link-type-under.card-text-forth{
    color: var(--forth);
}
.block-graphical-links a.graphical-link.link-type-overhalf:hover .graphical-link-image:before,
.block-graphical-links a.graphical-link.link-type-overhalf .graphical-link-image:hover:before,
.block-graphical-links a.graphical-link.link-type-over:hover .graphical-link-image:before,
.block-graphical-links a.graphical-link.link-type-over .graphical-link-image:hover:before {
    height: 100%;
    opacity: 0.85;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}

.block-graphical-links .graphical-link.link-type-under .graphical-link-title{
    position: relative;
    z-index: 2;
    padding: 20px 10px;
}
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title,
.block-graphical-links .graphical-link.link-type-over .graphical-link-title {
    position: absolute;
    z-index: 2;
    padding: 40px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title{
     padding: 30px;
}
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title .graphical-title-inside,
.block-graphical-links .graphical-link.link-type-over .graphical-link-title .graphical-title-inside{
    font-size: 25px;
    font-weight: 600;
    color: #fff;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title .graphical-title-inside{
    font-size: 25px;
    font-weight: 600;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-left,
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title.title-position-left,
.block-graphical-links .graphical-link.link-type-over .graphical-link-title.title-position-left{
    align-items: flex-start;
    text-align: left;
}

.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-center,
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title.title-position-center,
.block-graphical-links .graphical-link.link-type-over .graphical-link-title.title-position-center{
    align-items: center;
    text-align: center;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-right,
.block-graphical-links .graphical-link.link-type-overhalf .graphical-link-title.title-position-right,
.block-graphical-links .graphical-link.link-type-over .graphical-link-title.title-position-right{
    align-items: flex-end;
    text-align: right;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-left{
    text-align:left;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-center{
    text-align:center;
}
.block-graphical-links .graphical-link.link-type-under .graphical-link-title.title-position-right{
    text-align: right;
}
.block-graphical-links .graphical-link-image.links-border-square{
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
}
.block-graphical-links .graphical-link-image.links-border-round{
    -webkit-border-radius:50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}
.block-graphical-links .graphical-link-image.links-border-rounded{
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
}

.block-graphical-links.arrows-position-left .arrows-graphical{
    justify-content: flex-start;
}
.block-graphical-links.arrows-position-center .arrows-graphical{
    justify-content: center;
}
.block-graphical-links.arrows-position-right .arrows-graphical{
    justify-content: flex-end;
}
.block-graphical-links.arrows-position-side .arrows-graphical{
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
}
.block-graphical-links.arrows-position-none .arrows-graphical{
    display: none
}
.block-graphical-links.arrows-position-side .arrows-graphical .prev{
    position: absolute;
    left: 0;
}
.block-graphical-links.arrows-position-side .arrows-graphical .next{
    position: absolute;
    right: 0;
}
.block-graphical-links .acf-innerblocks-container{
    display: flex;
    flex-direction: column;
}
.block-graphical-links.section-title-align-left .acf-innerblocks-container{
    align-items: flex-start;
}
.block-graphical-links.section-title-align-center .acf-innerblocks-container{
    align-items: center;
}
.block-graphical-links.section-title-align-right .acf-innerblocks-container{
    align-items: flex-end;
}

@media only screen and (max-width: 1600px) {
    .block-graphical-links {
        margin: 0;
    }
}
@media only screen and (max-width: 1200px) {
    .block-graphical-links {
        margin-block: var(--wp--style--block-gap) !important;
    }

    .block-graphical-links .graphical-links {
        margin-bottom: 20px;
    }
    .block-graphical-links h2 {
        font-size: 8vw;
        line-height: 8vw;
        margin-bottom: 0 !important;
    }
    .block-graphical-links .graphical-link {
        flex: 0 0 100%;
        flex: 0 0 49.333333%;
        height: auto;
    }
}
@media only screen and (max-width: 800px) {

    .block-graphical-links .graphical-link {
        flex: 0 0 100%;
        height: auto;
    }
    .block-graphical-links .graphical-links,
    .block-graphical-links.arrows-position-side .graphical-links{
        padding:20px 0 0;
    }
    .block-graphical-links.arrows-position-side .arrows-graphical{
        position: relative;
        top: 0;
        justify-content: center;

    }
    .block-graphical-links.arrows-position-side .arrows-graphical .prev{
        position: relative;
        margin: 0 10px;
    }
    .block-graphical-links.arrows-position-side .arrows-graphical .next{
        position: relative;
        margin: 0 10px;
    }

}
